## org.eclipse.datatools.modelbase.sql.datatypes
Class UnlinkOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.UnlinkOption

public final class UnlinkOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Unlink Option', and utility methods for working with them.

See Also:
  `SQLDataTypesPackage.getUnlinkOption()`, Serialized Form

Field Summary
`static int` `DELETE` The 'DELETE' literal value.
`static UnlinkOption` `DELETE_LITERAL` The 'DELETE' literal object.
`static int` `NONE` The 'NONE' literal value.
`static UnlinkOption` `NONE_LITERAL` The 'NONE' literal object.
`static int` `RESTORE` The 'RESTORE' literal value.
`static UnlinkOption` `RESTORE_LITERAL` The 'RESTORE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Unlink Option' enumerators.

Method Summary
`static UnlinkOption` `get(int value)` Returns the 'Unlink Option' literal with the specified integer value.
`static UnlinkOption` `get(java.lang.String literal)` Returns the 'Unlink Option' literal with the specified literal value.
`static UnlinkOption` `getByName(java.lang.String name)` Returns the 'Unlink Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESTORE

    public static final int RESTORE

  The 'RESTORE' literal value.

  See Also:
    `RESTORE_LITERAL`, Constant Field Values

### DELETE

    public static final int DELETE

  The 'DELETE' literal value.

  See Also:
    `DELETE_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### RESTORE_LITERAL

    public static final UnlinkOption RESTORE_LITERAL

  The 'RESTORE' literal object.

  If the meaning of 'RESTORE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESTORE`

### DELETE_LITERAL

    public static final UnlinkOption DELETE_LITERAL

  The 'DELETE' literal object.

  If the meaning of 'DELETE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DELETE`

### NONE_LITERAL

    public static final UnlinkOption NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Unlink Option' enumerators.

Method Detail

### get

    public static UnlinkOption get(java.lang.String literal)

  Returns the 'Unlink Option' literal with the specified literal value.

### getByName

    public static UnlinkOption getByName(java.lang.String name)

  Returns the 'Unlink Option' literal with the specified name.

### get

    public static UnlinkOption get(int value)

  Returns the 'Unlink Option' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.